//
// RayDialer RX1 real world analysis
// (c)2010, ASkr
//
// for FW >= V0.6
//
// 
// - In RayDialer RX1 terminal, hit ESC to switch to idle mode.
// - hit "0" (zero) to select a single channel for sweep mode
// - hit "c", followed by a channel number "1..4" to select a receiver
// - hit "1..9" to select number of Goertzel steps (1=250, 2=500, ...)
// - fit "f", followed by "1..8" to select a frequency range ("a" for complete scan)
// - enable a log file in your terminal application (e.g. http://realterm.sourceforge.net/)
// - start a single sweep mode by hitting "S" (capital letter; SHIFT+s)
// - stop logging to file
// - rename your file to "capture.txt", copy it to the path of this script and execute it
//

clear f;
clear y;

fin=mopen("capture.txt","r+t");


started=0;
i=1;

while meof(fin)==0 
  str=mgetl(fin,1);
  
  if started == 0 then
      str=strstr(str,"START_SWEEP");
      if length(str) > 0 then
          started=1;
      end
      continue;
  else
    res=strstr(str,"STOP_SWEEP");
    if length(res) > 0 then
        break;
    end
  end
  
  str=strsubst(str," ",",");
  if length(str) == 0 then
    continue
  end

  [p(i),c(i),f(i),y(i)]=msscanf(str,"%d,%d,%d");
  i=i+1;
end

mclose(fin);

clear p;
clear c;

y=abs(y);
y=y+1;

subplot(211)
plot(f,y);
subplot(212)
plot(f,20*log10(y/max(y)))

